Crystal Space: csGenerateImageTextureSingle Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageTextureSingle Class Reference

A class for a single texture. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageTextureSingle:

[legend]
List of all members.

## Public Member Functions
void | ComputeLayerColor (const csVector2 &pos, csColor &col)
| compute a color (0..1) for a spot on a layer
virtual void | GetColor (csColor &col, float x, float y)
| get the color
void | GetImagePixel (iImage *image, int x, int y, csRGBpixel &res)
| get a color for a pixel in image, tiles, result in res.
void | SetImage (iImage *im)
| add image
virtual | ~csGenerateImageTextureSingle ()
| delete it
## Public Attributes
csRef< iImage > | image
| the image - the texture image
csVector2 | offset
| offset to shift image (0..1)
csVector2 | scale
| the scale of the image, (nr of times tiled on the terrain)

## Detailed Description

A class for a single texture.

Definition at line 136 of file gentrtex.h.

## Constructor & Destructor Documentation

virtual csGenerateImageTextureSingle::~csGenerateImageTextureSingle | ( |  | ) | `[virtual]`

delete it

## Member Function Documentation

void csGenerateImageTextureSingle::ComputeLayerColor | ( | const csVector2 & | pos,
|  | csColor & | col |
| ) |  |  |

compute a color (0..1) for a spot on a layer

virtual void csGenerateImageTextureSingle::GetColor | ( | csColor & | col,
|  | float | x,
|  | float | y |
| ) |  |  | `[virtual]`

get the color

Implements csGenerateImageTexture.

void csGenerateImageTextureSingle::GetImagePixel | ( | iImage * | image,
|  | int | x,
|  | int | y,
|  | csRGBpixel & | res |
| ) |  |  |

get a color for a pixel in image, tiles, result in res.

void csGenerateImageTextureSingle::SetImage | ( | iImage * | im | ) |

add image

## Member Data Documentation

csRef<iImage> csGenerateImageTextureSingle::image

the image - the texture image

Definition at line 141 of file gentrtex.h.

csVector2 csGenerateImageTextureSingle::offset

offset to shift image (0..1)

Definition at line 145 of file gentrtex.h.

csVector2 csGenerateImageTextureSingle::scale

the scale of the image, (nr of times tiled on the terrain)

Definition at line 143 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h